<template>
    <div class="flex flex-col" v-if="addresses && addresses.length">
        <v-card>
            <v-card-title v-if="title">{{ title }}</v-card-title>

            <div class="grid gap-4 rounded-lg bg-gray-light">
                <div
                    v-for="address in addresses"
                    :key="address.type"
                    class="bg-gray-input rounded-lg p-4 flex flex-row"
                >
                    <br />
                    <div>
                        <p class="font-semibold" v-if="address.type">
                            {{ translate('types.address.' + address.type) }}
                        </p>
                        <p v-if="address.street && address.street_number">
                            {{ address.street }} {{ address.street_number }}
                            <span v-if="address.street_number_extension">{{ address.street_number_extension }}</span>
                        </p>
                        <p v-if="address.post_code && address.city">{{ address.post_code }} {{ address.city }}</p>
                        <p v-if="address.country_id && countryStore.getCountryById(address.country_id)">
                            {{ translate('countries.' + countryStore.getCountryById(address.country_id).slug) }}
                        </p>
                    </div>
                </div>
            </div>
        </v-card>
    </div>
</template>

<script setup lang="ts">
import { useI18n } from 'vue-i18n';
import { storeFactory } from '@/main';

const { t: translate } = useI18n();
const countryStore = storeFactory.countryStore;

const props = defineProps({
    title: {
        type: String,
        default: null
    },
    addresses: Object,
});
</script>
